Bug 42182 - egl/opengles1/tri_x11 renders wrong
egl/opengles1/tri_x11 renders wrong
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
All Linux (All)
: medium normal
Assigned To: Chad Versace
fangxun
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-24 19:51 UTC by bo.b.wang
Modified: 2014-01-21 02:22 UTC (History)
0 users

See Also:


Attachments
left picture is rendering with hardware (14.13 KB, image/png)
2011-10-24 19:51 UTC, bo.b.wang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bo.b.wang 2011-10-24 19:51:43 UTC
Created attachment 52723 [details]
left picture is rendering with hardware

System Environment:
-------------------------------------
Libdrm:        (master)2.4.26-12-gb317c96361f88a0a4ccb2faeff09b0476d142c68
Mesa:        (master)116b7bb5eac836953fbfbc627cabca4a7ee39937
Xf86_video_intel:(master)2.16.0-176-g0b83abfb2bc3f65447205048ae0af1a94fa9ef15
Cairo:        (master)26c9994393f590c43714ba8d799093b84dd94dc6
Libva:        (master)c532920f95c9cd55516c038d769f236ac7e88ccc
Kernel:    (drm-intel-next) 64a742fac3a22f57303d8f1b7e34

Bug Description:
---------------------
egl/opengles1/tri_x11 renders wrong, the attachment is the screenshot.
Comment 1 bo.b.wang 2011-10-24 19:54:04 UTC
By the way, this demo will render wrongly on IvyBridge, SandyBridge, PikeTon.
Comment 2 Tapani Pälli 2012-05-14 01:15:49 UTC
I've just tested this on Sandybridge with mesa 7.11.2, works and renders fine, no errors.
Comment 3 Chad Versace 2013-05-31 22:50:09 UTC
Path submitted to list that fixes the bug on Ivybridge and Haswell.
Subject: i965: Fix glColorPointer(GL_FIXED)
Comment 4 Chad Versace 2013-06-03 20:25:00 UTC
I've confirmed that this commit fixes the bug on Ivybridge and Haswell. Sandybridge and Piketon are untested. (What is Piketon?)

Could QA please validate on Sandybridge and Piketon?

commit 83c1d4c96145d2b63ed3e0c021abf36100e772fd
Author: Chad Versace <chad.versace@linux.intel.com>
Date:   Tue May 28 16:26:07 2013 -0700

    i965: Fix glColorPointer(GL_FIXED)
Comment 5 Gordon Jin 2013-06-04 05:32:29 UTC
Xun, please verify.

Piketon is the Ironlake desktop platform name.
Comment 6 Chad Versace 2014-01-20 20:09:32 UTC
Waiting on QA to close the bug. I verified the fix on Ivybridge and Haswell.
Comment 7 fangxun 2014-01-21 02:22:00 UTC
Verified this fix on IvyBridge, SandyBridge and PikeTon.